"use strict";function _classCallCheck(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}function _defineProperties(t,e){for(var i=0;i<e.length;i++){var s=e[i];s.enumerable=s.enumerable||!1,s.configurable=!0,"value"in s&&(s.writable=!0),Object.defineProperty(t,s.key,s)}}function _createClass(t,e,i){return e&&_defineProperties(t.prototype,e),i&&_defineProperties(t,i),t}var _require=require("jStat"),jStat=_require.jStat,TimeHull=require("./TimeHull"),getDistinctPoints=require("./getDistinctPoints"),TimeHullSeries=function(){function h(t){_classCallCheck(this,h);var e=t||{},i=e.points,s=e.period,r=e.timestep,n=e.includeIncomplete,o=e.width,a=e.height;if(void 0===i||!i.length)throw new Error("noPoints");if(void 0===s)throw new Error("noPeriod");this.points=i.sort(function(t,e){return t.timestamp-e.timestamp}),this.period=s,this.timestep=r||0,this.includeIncomplete=n||!1,this.width=o||0,this.height=a||0}return _createClass(h,[{key:"getCoverageDurations",value:function(){if(void 0===this.coverageDurations){var t=this.getHulls();this.coverageDurations=t.map(function(t){return t.coverageDuration()})}return this.coverageDurations}},{key:"getAverageCoverage",value:function(){if(void 0===this.averageCoverage){var t=0;0<jStat.sum(this.getHullDurations())&&(t=jStat.sum(this.getCoverageDurations())/jStat.sum(this.getHullDurations())),this.averageCoverage=t}return this.averageCoverage}},{key:"getFinalCoverage",value:function(){return void 0===this.finalCoverage&&(this.getHulls().length?this.finalCoverage=this.getHulls()[this.getHulls().length-1].getCoverage():this.finalCoverage=0),this.finalCoverage}},{key:"getCentroidDistances",value:function(t){var e=(t||{}).which;if(void 0===this.centroidDistances){for(var i=[],s=[],r=[],n=this.getHulls(),o=1;o<n.length;o+=1){var a=Math.abs(n[o].getCentroid().x-n[o-1].getCentroid().x)||0,h=Math.abs(n[o].getCentroid().y-n[o-1].getCentroid().y)||0,u=Math.sqrt(a*a+h*h);i.push(a),s.push(h),r.push(u)}this.centroidDistancesX=i,this.centroidDistancesY=s,this.centroidDistances=r}return void 0!==e?this["centroidDistances".concat(e.toUpperCase())]:this.centroidDistances}},{key:"getAverageCentroidVelocity",value:function(t){var e=(t||{}).which,i=jStat.sum(this.getHullDurations());return this.getHulls().length?void 0===this.averageCentroidVelocity&&(this.averageCentroidVelocityX=jStat.sum(this.getCentroidDistances({which:"x"}))/i,this.averageCentroidVelocityY=jStat.sum(this.getCentroidDistances({which:"y"}))/i,this.averageCentroidVelocity=jStat.sum(this.getCentroidDistances())/i):(this.averageCentroidVelocityX=0,this.averageCentroidVelocityY=0,this.averageCentroidVelocity=0),void 0!==e?this["averageCentroidVelocity".concat(e.toUpperCase())]:this.averageCentroidVelocity}},{key:"getDistances",value:function(t){var e=(t||{}).which;if(void 0===this.distances){for(var i=[],s=[],r=[],n=1;n<this.points.length;n+=1){var o=Math.abs(this.points[n].x-this.points[n-1].x),a=Math.abs(this.points[n].y-this.points[n-1].y),h=Math.sqrt(o*o+a*a);i.push(o),s.push(a),r.push(h)}this.distancesX=i,this.distancesY=s,this.distances=r}return void 0!==e?this["distances".concat(e.toUpperCase())]:this.distances}},{key:"getAverageVelocity",value:function(t){var e=(t||{}).which;return this.getHulls().length?void 0===this.averageVelocity&&(this.averageVelocityX=jStat.sum(this.getDistances({which:"x"}))/this.getDuration(),this.averageVelocityY=jStat.sum(this.getDistances({which:"y"}))/this.getDuration(),this.averageVelocity=jStat.sum(this.getDistances())/this.getDuration()):(this.averageVelocityX=0,this.averageVelocityY=0,this.averageVelocity=0),void 0!==e?this["averageVelocity".concat(e.toUpperCase())]:this.averageVelocity}},{key:"getCentroids",value:function(t){var e,i=(t||{}).which,s=[];if(this.getHulls().length){try{e=this.getHull(t)}catch(t){var r=this.getHulls();e=r[r.length-1]}this.centroids||(this.centroids=this.getHulls().map(function(t){return t.getCentroid()})),s=this.centroids.slice(0,e.number)}return void 0!==i?s.map(function(t){return t[i]}):s}},{key:"getDuration",value:function(){return void 0===this.duration&&(this.duration=this.points[this.points.length-1].timestamp-this.points[0].timestamp),this.duration}},{key:"getHullDurations",value:function(){if(void 0===this.hullDurations){var t=this.getHulls();this.hullDurations=t.map(function(t){return t.duration()})}return this.hullDurations}},{key:"getEndPointIndex",value:function(t){if(!this.points[t])throw new Error("startIndexOutOfBounds");for(var e=this.points[t].timestamp,i=t,s=0;s<this.period;){if(i+=1,!this.points[i])return;s=this.points[i].timestamp-e}return s===this.period?i:i-1}},{key:"getEndTime",value:function(){return this.getHulls().length?this.getHulls()[this.getHulls().length-1].endTime():void 0}},{key:"getHull",value:function(t){var e=(t||{}).hullIndex,i=(t||{}).hull;if(void 0===i&&void 0===e)throw new Error("noHullSpecified");if(!i){if("number"!=typeof e)throw new Error("invalidHullIndex");var s=this.getHulls();if(!s[e])throw new Error("hullIndexOutOfBounds");i=s[e]}if("TimeHull"!==i.constructor.name)throw new Error("invalidHull");return i}},{key:"getHulls",value:function(){if(void 0===this.hulls){for(var t,e,i=[],s=this.points.length-1,r=this.points.length-1;0<=r&&1<s;s-=1)if(void 0===(r=this.getStartPointIndex(s))&&(this.includeIncomplete||0<e)&&(r=0),0<=r&&(e=r,void 0===t||this.points[t].timestamp-this.points[s].timestamp>=this.timestep)){t=s;var n=new TimeHull({series:this,seriesPoints:this.points,startIndex:r,endIndex:s,width:this.width,height:this.height});i.push(n)}i.reverse();for(var o=0;o<i.length;o+=1)i[o].number=o+1;this.hulls=i}return this.hulls}},{key:"getStartPointIndex",value:function(t){if(!this.points[t])throw new Error("endIndexOutOfBounds");for(var e=this.points[t].timestamp,i=t,s=0;s<this.period&&(i-=1,this.points[i]);){s=e-this.points[i].timestamp}return s===this.period?i:s>this.period?i+1:void 0}},{key:"getStartTime",value:function(){return this.getHulls().length?this.getHulls()[0].startTime():void 0}}]),h}();module.exports=TimeHullSeries;